Description

When performing a full installation of Foreman on a Debian system with Puppet AIO, the puppet group gets created during the

Puppet run.

Previously in a non-AIO installation, the group would probably be created during installation of the Puppet agent package, which is

an installer dependency.

[ERROR 2016-05-06 08:32:42 main]  Could not set groups on user[foreman]: Execution of '/usr/sbin/u

sermod -G puppet foreman' returned 6: usermod: group 'puppet' does not exist

[ERROR 2016-05-06 08:32:42 main]  /Stage[main]/Foreman::Config/User[foreman]/groups: change from  

to puppet failed: Could not set groups on user[foreman]: Execution of '/usr/sbin/usermod -G puppet

 foreman' returned 6: usermod: group 'puppet' does not exist

[ WARN 2016-05-06 08:37:57 main]  /Stage[main]/Puppet::Server::Install/Package[puppetserver]/ensur

e: created

[ WARN 2016-05-06 08:38:20 main]  /Stage[main]/Foreman_proxy::Config/User[foreman-proxy]/groups: g

roups changed '' to ['puppet']

 However on an RPM AIO installation the ordering happens to be a bit different:

[ WARN 2016-05-05 13:09:47 main]  /Stage[main]/Puppet::Server::Install/Package[puppetserver]/ensur

e: created

[ WARN 2016-05-05 13:09:48 main]  /Stage[main]/Puppet::Server::Config/File[/opt/puppetlabs/puppet/

cache/reports]/group: group changed 'root' to 'puppet'

[ WARN 2016-05-05 13:11:37 main]  /Stage[main]/Foreman_proxy::Config/User[foreman-proxy]/groups: g

roups changed '' to ['puppet']

[ WARN 2016-05-05 13:12:47 main]  /Stage[main]/Foreman::Config/User[foreman]/groups: groups change

d '' to ['puppet']

Related issues:

Blocks Foreman - Tracker #8447: Puppet 4 support Closed 11/19/2014

Copied to Installer - Bug #15804: adding foreman user to puppet group fails i... New 05/06/2016

Associated revisions

Revision ec18f649 - 05/06/2016 11:17 AM - Dominic Cleal

refs #14942 - require puppet::server::install first for puppet group (#246)

Revision 9114252e - 05/06/2016 11:18 AM - Dominic Cleal

refs #14942 - order install before foreman/foreman_proxy for puppet group (#399)

Revision dc4ceb53 - 05/06/2016 11:18 AM - Dominic Cleal

fixes #14942 - require puppet::server::install first for puppet group (#440)

History

#1 - 05/06/2016 04:54 AM - Dominic Cleal
- Blocks Tracker #8447: Puppet 4 support added

#2 - 05/06/2016 05:21 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 05/06/2016 05:38 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/puppet-foreman/pull/440

https://github.com/theforeman/puppet-foreman_proxy/pull/246

https://github.com/theforeman/puppet-puppet/pull/399

#4 - 05/06/2016 12:02 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|dc4ceb533b25c3c6a8811c6c32b5d012837d03be.

#5 - 05/09/2016 04:23 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#6 - 07/22/2016 06:09 PM - Tom Downes

- Copied to Bug #15804: adding foreman user to puppet group fails if puppetserver disabled added
